Skip to main content
GET
List all files

Authorizations

Authorization
string
header
required

Sign in to the admin dashboard and use the resulting ID token for a store and operation you can access. The authenticated dashboard cookie is accepted when the Authorization header is absent. Missing or insufficient access returns 401.

Query Parameters

page
integer
default:1

page number of pagination list

Required range: x >= 1
limit
integer
default:25

no of rows per page

Required range: 1 <= x <= 500
sort_by
string

JSON string format: {"field1":"asc", "field2":"desc"} json string in format {'field_name':'asc', 'other_field_name':'desc', ...}

search keyword

filters
string

JSON object

Example:

"{\"condition\":\"AND\",\"filters\":[{\"type\":\"data\",\"field\":\"status\",\"operator\":\"equals\",\"value\":\"success\"}]}"

folder_id
string

folder id

Response

OK

message
string
success
boolean
content
object